package com.pcloud.book.custom.dao;

import com.pcloud.book.custom.dto.PeriodCountAndReadPlanDTO;
import com.pcloud.book.custom.entity.CustomReadPlanPeriod;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface CustomReadPlanPeriodDao extends BaseDao<CustomReadPlanPeriod> {
    Integer batchInsert(List<CustomReadPlanPeriod> customReadPlanPeriods);

    void deleteByCustomReadPlanId(Long customReadPlanId);

    List<CustomReadPlanPeriod> getListByCustomReadPlanId(Long customReadPlanId);

    List<PeriodCountAndReadPlanDTO> getPeriodCountGroupByReadPlanId(List<Long> readPlanIds);
}
